
%global _hardened_build		1

Name:		nfdump
Version:	1.6.13
Release:	2%{?dist}
Summary:	NetFlow collecting and processing tools

Group:		Applications/System
License:	BSD, GPLv2
URL:		http://sourceforge.net/projects/nfdump/
Source0:	http://sourceforge.net/projects/nfdump/%{name}-%{version}.tar.gz


BuildRequires:	byacc
BuildRequires:	flex
BuildRequires:	autoconf
BuildRequires:	zlib-devel
BuildRequires:	rrdtool-devel
BuildRequires:	libpcap-devel


%description
Nfdump is a set of tools to collect and process NetFlow data. It's fast and has
a powerful filter pcap like syntax. It supports NetFlow versions v1, v5, v7, v9
and IPFIX as well as a limited set of sflow. It includes support for CISCO ASA
(NSEL) and CISCO NAT (NEL) devices which export event logging records as v9
flows. Nfdump is fully IPv6 compatible.


%prep
%setup -q


%build
%configure \
    --enable-nel \
    --enable-nsel \
    --enable-nfprofile \
    --enable-nftrack \
    --enable-sflow \
    --enable-readpcap \
    --enable-nfpcapd

make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
chmod 0644 AUTHORS ChangeLog README


%files
%defattr(-,root,root,-)
%doc AUTHORS BSD-license.txt ChangeLog README
%{_bindir}/*
%{_mandir}/man1/*.1*


%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Apr 26 2015 Denis Fateyev <denis@fateyev.com> - 1.6.13-1
- Update to version 1.6.13

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat May 03 2014 Denis Fateyev <denis@fateyev.com> - 1.6.12-1
- Update to version 1.6.12

* Wed Feb 05 2014 Denis Fateyev <denis@fateyev.com> - 1.6.11-1
- Initial Fedora RPM release
